package com.mdd.admin.validate.setting;

import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Map;
import javax.validation.constraints.NotNull;

@ApiModel("支付渠道设置参数")
public class SettingPayConfigValidate {
   @IDMust(
      message = "id参数必传且需大于0"
   )
   @ApiModelProperty(
      value = "ID",
      required = true
   )
   private Integer id;
   @ApiModelProperty(
      value = "模版名称",
      required = true
   )
   private @NotNull(
   message = "name参数缺失"
) String name;
   @ApiModelProperty("模版名称")
   private String icon;
   @ApiModelProperty("排序编号")
   private Integer sort;
   @ApiModelProperty("备注信息")
   private String remark;
   @ApiModelProperty("配置参数")
   private Map<String, String> params;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "name参数缺失"
) String getName() {
      return this.name;
   }

   public String getIcon() {
      return this.icon;
   }

   public Integer getSort() {
      return this.sort;
   }

   public String getRemark() {
      return this.remark;
   }

   public Map<String, String> getParams() {
      return this.params;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(@NotNull(
   message = "name参数缺失"
) String name) {
      this.name = name;
   }

   public void setIcon(String icon) {
      this.icon = icon;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public void setParams(Map<String, String> params) {
      this.params = params;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingPayConfigValidate)) {
         return false;
      } else {
         SettingPayConfigValidate other = (SettingPayConfigValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            label62: {
               Object this$icon = this.getIcon();
               Object other$icon = other.getIcon();
               if (this$icon == null) {
                  if (other$icon == null) {
                     break label62;
                  }
               } else if (this$icon.equals(other$icon)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$remark = this.getRemark();
               Object other$remark = other.getRemark();
               if (this$remark == null) {
                  if (other$remark == null) {
                     break label55;
                  }
               } else if (this$remark.equals(other$remark)) {
                  break label55;
               }

               return false;
            }

            Object this$params = this.getParams();
            Object other$params = other.getParams();
            if (this$params == null) {
               if (other$params != null) {
                  return false;
               }
            } else if (!this$params.equals(other$params)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingPayConfigValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $icon = this.getIcon();
      result = result * 59 + ($icon == null ? 43 : $icon.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $params = this.getParams();
      result = result * 59 + ($params == null ? 43 : $params.hashCode());
      return result;
   }

   public String toString() {
      return "SettingPayConfigValidate(id=" + this.getId() + ", name=" + this.getName() + ", icon=" + this.getIcon() + ", sort=" + this.getSort() + ", remark=" + this.getRemark() + ", params=" + this.getParams() + ")";
   }
}
